Index: contrib/Pallet/English.lproj/MainMenu.xib
===================================================================
--- contrib/Pallet/English.lproj/MainMenu.xib	(revision 65496)
+++ contrib/Pallet/English.lproj/MainMenu.xib	(revision 72223)
@@ -1,22 +1,28 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<archive type="com.apple.InterfaceBuilder3.Cocoa.XIB" version="7.03">
+<archive type="com.apple.InterfaceBuilder3.Cocoa.XIB" version="7.10">
 	<data>
 		<int key="IBDocument.SystemTarget">1050</int>
-		<string key="IBDocument.SystemVersion">9L30</string>
-		<string key="IBDocument.InterfaceBuilderVersion">677</string>
-		<string key="IBDocument.AppKitVersion">949.54</string>
-		<string key="IBDocument.HIToolboxVersion">353.00</string>
+		<string key="IBDocument.SystemVersion">10F569</string>
+		<string key="IBDocument.InterfaceBuilderVersion">788</string>
+		<string key="IBDocument.AppKitVersion">1038.29</string>
+		<string key="IBDocument.HIToolboxVersion">461.00</string>
+		<object class="NSMutableDictionary" key="IBDocument.PluginVersions">
+			<string key="NS.key.0">com.apple.InterfaceBuilder.CocoaPlugin</string>
+			<string key="NS.object.0">788</string>
+		</object>
 		<object class="NSMutableArray" key="IBDocument.EditedObjectIDs">
 			<bool key="EncodedWithXMLCoder">YES</bool>
-			<integer value="372"/>
+			<integer value="658"/>
+			<integer value="936"/>
+			<integer value="840"/>
+			<integer value="371"/>
 		</object>
 		<object class="NSArray" key="IBDocument.PluginDependencies">
 			<bool key="EncodedWithXMLCoder">YES</bool>
-			<string>com.apple.InterfaceBuilderKit</string>
 			<string>com.apple.InterfaceBuilder.CocoaPlugin</string>
 		</object>
 		<object class="NSMutableDictionary" key="IBDocument.Metadata">
 			<bool key="EncodedWithXMLCoder">YES</bool>
-			<object class="NSArray" key="dict.sortedKeys">
+			<object class="NSArray" key="dict.sortedKeys" id="0">
 				<bool key="EncodedWithXMLCoder">YES</bool>
 			</object>
@@ -56,10 +62,10 @@
 						<string key="NSAction">submenuAction:</string>
 						<object class="NSMenu" key="NSSubmenu" id="110575045">
-							<string key="NSTitle">NewApplication</string>
+							<string key="NSTitle">Pallet</string>
 							<object class="NSMutableArray" key="NSMenuItems">
 								<bool key="EncodedWithXMLCoder">YES</bool>
 								<object class="NSMenuItem" id="238522557">
 									<reference key="NSMenu" ref="110575045"/>
-									<string key="NSTitle">About NewApplication</string>
+									<string key="NSTitle">About Pallet</string>
 									<string key="NSKeyEquiv"/>
 									<int key="NSMnemonicLoc">2147483647</int>
@@ -80,5 +86,5 @@
 								<object class="NSMenuItem" id="609285721">
 									<reference key="NSMenu" ref="110575045"/>
-									<string type="base64-UTF8" key="NSTitle">UHJlZmVyZW5jZXPigKY</string>
+									<string key="NSTitle">Preferences…</string>
 									<string key="NSKeyEquiv">,</string>
 									<int key="NSKeyEquivModMask">1048576</int>
@@ -128,5 +134,5 @@
 								<object class="NSMenuItem" id="755159360">
 									<reference key="NSMenu" ref="110575045"/>
-									<string key="NSTitle">Hide NewApplication</string>
+									<string key="NSTitle">Hide Pallet</string>
 									<string key="NSKeyEquiv">h</string>
 									<int key="NSKeyEquivModMask">1048576</int>
@@ -166,5 +172,5 @@
 								<object class="NSMenuItem" id="632727374">
 									<reference key="NSMenu" ref="110575045"/>
-									<string key="NSTitle">Quit NewApplication</string>
+									<string key="NSTitle">Quit Pallet</string>
 									<string key="NSKeyEquiv">q</string>
 									<int key="NSKeyEquivModMask">1048576</int>
@@ -201,5 +207,5 @@
 								<object class="NSMenuItem" id="722745758">
 									<reference key="NSMenu" ref="720053764"/>
-									<string type="base64-UTF8" key="NSTitle">T3BlbuKApg</string>
+									<string key="NSTitle">Open…</string>
 									<string key="NSKeyEquiv">o</string>
 									<int key="NSKeyEquivModMask">1048576</int>
@@ -265,5 +271,5 @@
 								<object class="NSMenuItem" id="117038363">
 									<reference key="NSMenu" ref="720053764"/>
-									<string type="base64-UTF8" key="NSTitle">U2F2ZSBBc+KApg</string>
+									<string key="NSTitle">Save As…</string>
 									<string key="NSKeyEquiv">S</string>
 									<int key="NSKeyEquivModMask">1179648</int>
@@ -303,5 +309,5 @@
 								<object class="NSMenuItem" id="49223823">
 									<reference key="NSMenu" ref="720053764"/>
-									<string type="base64-UTF8" key="NSTitle">UHJpbnTigKY</string>
+									<string key="NSTitle">Print…</string>
 									<string key="NSKeyEquiv">p</string>
 									<int key="NSKeyEquivModMask">1048576</int>
@@ -426,5 +432,5 @@
 											<object class="NSMenuItem" id="447796847">
 												<reference key="NSMenu" ref="963351320"/>
-												<string type="base64-UTF8" key="NSTitle">RmluZOKApg</string>
+												<string key="NSTitle">Find…</string>
 												<string key="NSKeyEquiv">f</string>
 												<int key="NSKeyEquivModMask">1048576</int>
@@ -491,5 +497,5 @@
 											<object class="NSMenuItem" id="679648819">
 												<reference key="NSMenu" ref="769623530"/>
-												<string type="base64-UTF8" key="NSTitle">U2hvdyBTcGVsbGluZ+KApg</string>
+												<string key="NSTitle">Show Spelling…</string>
 												<string key="NSKeyEquiv">:</string>
 												<int key="NSKeyEquivModMask">1048576</int>
@@ -611,4 +617,131 @@
 						</object>
 					</object>
+					<object class="NSMenuItem" id="417668003">
+						<reference key="NSMenu" ref="649796088"/>
+						<string key="NSTitle">MacPorts</string>
+						<string key="NSKeyEquiv"/>
+						<int key="NSMnemonicLoc">2147483647</int>
+						<reference key="NSOnImage" ref="35465992"/>
+						<reference key="NSMixedImage" ref="566991132"/>
+						<string key="NSAction">submenuAction:</string>
+						<object class="NSMenu" key="NSSubmenu" id="329310906">
+							<string key="NSTitle">MacPorts</string>
+							<object class="NSMutableArray" key="NSMenuItems">
+								<bool key="EncodedWithXMLCoder">YES</bool>
+								<object class="NSMenuItem" id="543873840">
+									<reference key="NSMenu" ref="329310906"/>
+									<string key="NSTitle">Install</string>
+									<string key="NSKeyEquiv">i</string>
+									<int key="NSKeyEquivModMask">1048576</int>
+									<int key="NSMnemonicLoc">2147483647</int>
+									<reference key="NSOnImage" ref="35465992"/>
+									<reference key="NSMixedImage" ref="566991132"/>
+								</object>
+								<object class="NSMenuItem" id="174594480">
+									<reference key="NSMenu" ref="329310906"/>
+									<bool key="NSIsAlternate">YES</bool>
+									<string key="NSTitle">Install Now</string>
+									<string key="NSKeyEquiv">i</string>
+									<int key="NSKeyEquivModMask">1572864</int>
+									<int key="NSMnemonicLoc">2147483647</int>
+									<reference key="NSOnImage" ref="35465992"/>
+									<reference key="NSMixedImage" ref="566991132"/>
+								</object>
+								<object class="NSMenuItem" id="877751138">
+									<reference key="NSMenu" ref="329310906"/>
+									<string key="NSTitle">Uninstall</string>
+									<string key="NSKeyEquiv">u</string>
+									<int key="NSKeyEquivModMask">1048576</int>
+									<int key="NSMnemonicLoc">2147483647</int>
+									<reference key="NSOnImage" ref="35465992"/>
+									<reference key="NSMixedImage" ref="566991132"/>
+								</object>
+								<object class="NSMenuItem" id="393937824">
+									<reference key="NSMenu" ref="329310906"/>
+									<bool key="NSIsAlternate">YES</bool>
+									<string key="NSTitle">Uninstall Now</string>
+									<string key="NSKeyEquiv">u</string>
+									<int key="NSKeyEquivModMask">1572864</int>
+									<int key="NSMnemonicLoc">2147483647</int>
+									<reference key="NSOnImage" ref="35465992"/>
+									<reference key="NSMixedImage" ref="566991132"/>
+								</object>
+								<object class="NSMenuItem" id="680840106">
+									<reference key="NSMenu" ref="329310906"/>
+									<string key="NSTitle">Upgrade</string>
+									<string key="NSKeyEquiv">U</string>
+									<int key="NSKeyEquivModMask">1048576</int>
+									<int key="NSMnemonicLoc">2147483647</int>
+									<reference key="NSOnImage" ref="35465992"/>
+									<reference key="NSMixedImage" ref="566991132"/>
+								</object>
+								<object class="NSMenuItem" id="379934832">
+									<reference key="NSMenu" ref="329310906"/>
+									<bool key="NSIsAlternate">YES</bool>
+									<string key="NSTitle">Upgrade Now</string>
+									<string key="NSKeyEquiv">U</string>
+									<int key="NSKeyEquivModMask">1572864</int>
+									<int key="NSMnemonicLoc">2147483647</int>
+									<reference key="NSOnImage" ref="35465992"/>
+									<reference key="NSMixedImage" ref="566991132"/>
+								</object>
+								<object class="NSMenuItem" id="478357944">
+									<reference key="NSMenu" ref="329310906"/>
+									<string key="NSTitle">Sync</string>
+									<string key="NSKeyEquiv">y</string>
+									<int key="NSKeyEquivModMask">1048576</int>
+									<int key="NSMnemonicLoc">2147483647</int>
+									<reference key="NSOnImage" ref="35465992"/>
+									<reference key="NSMixedImage" ref="566991132"/>
+								</object>
+								<object class="NSMenuItem" id="826438341">
+									<reference key="NSMenu" ref="329310906"/>
+									<bool key="NSIsAlternate">YES</bool>
+									<string key="NSTitle">Sync Now</string>
+									<string key="NSKeyEquiv">y</string>
+									<int key="NSKeyEquivModMask">1572864</int>
+									<int key="NSMnemonicLoc">2147483647</int>
+									<reference key="NSOnImage" ref="35465992"/>
+									<reference key="NSMixedImage" ref="566991132"/>
+								</object>
+								<object class="NSMenuItem" id="856307295">
+									<reference key="NSMenu" ref="329310906"/>
+									<string key="NSTitle">SelfUpdate</string>
+									<string key="NSKeyEquiv">Y</string>
+									<int key="NSKeyEquivModMask">1048576</int>
+									<int key="NSMnemonicLoc">2147483647</int>
+									<reference key="NSOnImage" ref="35465992"/>
+									<reference key="NSMixedImage" ref="566991132"/>
+								</object>
+								<object class="NSMenuItem" id="602577672">
+									<reference key="NSMenu" ref="329310906"/>
+									<bool key="NSIsAlternate">YES</bool>
+									<string key="NSTitle">SelfUpdate Now</string>
+									<string key="NSKeyEquiv">Y</string>
+									<int key="NSKeyEquivModMask">1572864</int>
+									<int key="NSMnemonicLoc">2147483647</int>
+									<reference key="NSOnImage" ref="35465992"/>
+									<reference key="NSMixedImage" ref="566991132"/>
+								</object>
+								<object class="NSMenuItem" id="254116942">
+									<reference key="NSMenu" ref="329310906"/>
+									<string key="NSTitle">Cancel</string>
+									<string key="NSKeyEquiv"/>
+									<int key="NSMnemonicLoc">2147483647</int>
+									<reference key="NSOnImage" ref="35465992"/>
+									<reference key="NSMixedImage" ref="566991132"/>
+								</object>
+								<object class="NSMenuItem" id="598409621">
+									<reference key="NSMenu" ref="329310906"/>
+									<string key="NSTitle">Toggle Drawer</string>
+									<string key="NSKeyEquiv">d</string>
+									<int key="NSKeyEquivModMask">1048576</int>
+									<int key="NSMnemonicLoc">2147483647</int>
+									<reference key="NSOnImage" ref="35465992"/>
+									<reference key="NSMixedImage" ref="566991132"/>
+								</object>
+							</object>
+						</object>
+					</object>
 					<object class="NSMenuItem" id="626404410">
 						<reference key="NSMenu" ref="649796088"/>
@@ -669,5 +802,5 @@
 								<object class="NSMenuItem" id="237841660">
 									<reference key="NSMenu" ref="466310130"/>
-									<string type="base64-UTF8" key="NSTitle">Q3VzdG9taXplIFRvb2xiYXLigKY</string>
+									<string key="NSTitle">Customize Toolbar…</string>
 									<string key="NSKeyEquiv"/>
 									<int key="NSKeyEquivModMask">1048576</int>
@@ -749,5 +882,5 @@
 								<object class="NSMenuItem" id="238773614">
 									<reference key="NSMenu" ref="374024848"/>
-									<string key="NSTitle">NewApplication Help</string>
+									<string key="NSTitle">Pallet Help</string>
 									<string key="NSKeyEquiv">?</string>
 									<int key="NSKeyEquivModMask">1048576</int>
@@ -765,5 +898,5 @@
 				<int key="NSWindowStyleMask">271</int>
 				<int key="NSWindowBacking">2</int>
-				<string key="NSWindowRect">{{335, 301}, {773, 449}}</string>
+				<string key="NSWindowRect">{{335, 298}, {773, 452}}</string>
 				<int key="NSWTFlags">1946157056</int>
 				<string key="NSWindowTitle">Pallet</string>
@@ -782,12 +915,13 @@
 					<object class="NSMutableDictionary" key="NSToolbarIBIdentifiedItems">
 						<bool key="EncodedWithXMLCoder">YES</bool>
-						<object class="NSMutableArray" key="dict.sortedKeys">
-							<bool key="EncodedWithXMLCoder">YES</bool>
+						<object class="NSArray" key="dict.sortedKeys">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<string>07ADFD2C-C129-480B-9285-95617FCE15BD</string>
 							<string>0A6EF369-BA7B-4EB1-A4D4-3D4208A23DBE</string>
 							<string>214D3E07-1C3A-46C8-8AC1-521489831BFC</string>
 							<string>2A4123B2-E41C-4CFF-B486-8B58C858F21C</string>
 							<string>325B7D9A-C8C9-4EC3-9D84-92D792696EBE</string>
-							<string>38B3CC5A-730B-4ECF-B057-8254756EF49D</string>
 							<string>586197FD-62CF-4D3E-AE67-9A57601D5B27</string>
+							<string>68316112-F799-4B15-89FA-B8B991910C2D</string>
 							<string>CBF865FC-FB44-4DF0-B21B-CC2D17E9A169</string>
 							<string>NSToolbarFlexibleSpaceItem</string>
@@ -797,4 +931,26 @@
 						<object class="NSMutableArray" key="dict.values">
 							<bool key="EncodedWithXMLCoder">YES</bool>
+							<object class="NSToolbarItem" id="284139052">
+								<object class="NSMutableString" key="NSToolbarItemIdentifier">
+									<characters key="NS.bytes">07ADFD2C-C129-480B-9285-95617FCE15BD</characters>
+								</object>
+								<string key="NSToolbarItemLabel">Info</string>
+								<string key="NSToolbarItemPaletteLabel">Info</string>
+								<string key="NSToolbarItemToolTip"/>
+								<nil key="NSToolbarItemView"/>
+								<object class="NSCustomResource" key="NSToolbarItemImage">
+									<string key="NSClassName">NSImage</string>
+									<string key="NSResourceName">TB_Info</string>
+								</object>
+								<nil key="NSToolbarItemTarget"/>
+								<nil key="NSToolbarItemAction"/>
+								<string key="NSToolbarItemMinSize">{0, 0}</string>
+								<string key="NSToolbarItemMaxSize">{0, 0}</string>
+								<bool key="NSToolbarItemEnabled">YES</bool>
+								<bool key="NSToolbarItemAutovalidates">YES</bool>
+								<int key="NSToolbarItemTag">-1</int>
+								<bool key="NSToolbarIsUserRemovable">YES</bool>
+								<int key="NSToolbarItemVisibilityPriority">0</int>
+							</object>
 							<object class="NSToolbarItem" id="433945624">
 								<object class="NSMutableString" key="NSToolbarItemIdentifier">
@@ -881,5 +1037,5 @@
 										<object class="NSFont" key="NSSupport" id="782475540">
 											<string key="NSName">LucidaGrande</string>
-											<double key="NSSize">1.300000e+01</double>
+											<double key="NSSize">13</double>
 											<int key="NSfFlags">1044</int>
 										</object>
@@ -909,7 +1065,7 @@
 											<int key="NSCellFlags2">0</int>
 											<string key="NSContents">search</string>
+											<reference key="NSControlView" ref="848482443"/>
 											<string key="NSAction">_searchFieldSearch:</string>
 											<reference key="NSTarget" ref="618193001"/>
-											<reference key="NSControlView" ref="848482443"/>
 											<int key="NSButtonFlags">138690815</int>
 											<int key="NSButtonFlags2">0</int>
@@ -926,5 +1082,5 @@
 												<object class="NSMutableDictionary">
 													<bool key="EncodedWithXMLCoder">YES</bool>
-													<object class="NSMutableArray" key="dict.sortedKeys">
+													<object class="NSArray" key="dict.sortedKeys">
 														<bool key="EncodedWithXMLCoder">YES</bool>
 														<string>AXDescription</string>
@@ -934,11 +1090,11 @@
 														<bool key="EncodedWithXMLCoder">YES</bool>
 														<string>cancel</string>
-														<integer value="1" id="9"/>
+														<integer value="1"/>
 													</object>
 												</object>
 											</object>
+											<reference key="NSControlView" ref="848482443"/>
 											<string key="NSAction">_searchFieldCancel:</string>
 											<reference key="NSTarget" ref="618193001"/>
-											<reference key="NSControlView" ref="848482443"/>
 											<int key="NSButtonFlags">138690815</int>
 											<int key="NSButtonFlags2">0</int>
@@ -961,15 +1117,15 @@
 								<int key="NSToolbarItemVisibilityPriority">0</int>
 							</object>
-							<object class="NSToolbarItem" id="650498606">
+							<object class="NSToolbarItem" id="244855577">
 								<object class="NSMutableString" key="NSToolbarItemIdentifier">
-									<characters key="NS.bytes">38B3CC5A-730B-4ECF-B057-8254756EF49D</characters>
-								</object>
-								<string key="NSToolbarItemLabel">Install</string>
-								<string key="NSToolbarItemPaletteLabel">Install</string>
+									<characters key="NS.bytes">586197FD-62CF-4D3E-AE67-9A57601D5B27</characters>
+								</object>
+								<string key="NSToolbarItemLabel">Uninstall</string>
+								<string key="NSToolbarItemPaletteLabel">Uninstall</string>
 								<string key="NSToolbarItemToolTip"/>
 								<nil key="NSToolbarItemView"/>
 								<object class="NSCustomResource" key="NSToolbarItemImage">
 									<string key="NSClassName">NSImage</string>
-									<string key="NSResourceName">TB_Install</string>
+									<string key="NSResourceName">TB_Uninstall</string>
 								</object>
 								<nil key="NSToolbarItemTarget"/>
@@ -983,20 +1139,87 @@
 								<int key="NSToolbarItemVisibilityPriority">0</int>
 							</object>
-							<object class="NSToolbarItem" id="244855577">
+							<object class="NSToolbarItem" id="725383560">
 								<object class="NSMutableString" key="NSToolbarItemIdentifier">
-									<characters key="NS.bytes">586197FD-62CF-4D3E-AE67-9A57601D5B27</characters>
-								</object>
-								<string key="NSToolbarItemLabel">Uninstall</string>
-								<string key="NSToolbarItemPaletteLabel">Uninstall</string>
-								<string key="NSToolbarItemToolTip"/>
-								<nil key="NSToolbarItemView"/>
-								<object class="NSCustomResource" key="NSToolbarItemImage">
-									<string key="NSClassName">NSImage</string>
-									<string key="NSResourceName">TB_Uninstall</string>
-								</object>
+									<characters key="NS.bytes">68316112-F799-4B15-89FA-B8B991910C2D</characters>
+								</object>
+								<string key="NSToolbarItemLabel">Install</string>
+								<string key="NSToolbarItemPaletteLabel">Install</string>
+								<nil key="NSToolbarItemToolTip"/>
+								<object class="NSPopUpButton" key="NSToolbarItemView" id="1026904284">
+									<nil key="NSNextResponder"/>
+									<int key="NSvFlags">268</int>
+									<string key="NSFrame">{{0, 14}, {60, 60}}</string>
+									<int key="NSTag">-1</int>
+									<bool key="NSEnabled">YES</bool>
+									<object class="NSPopUpButtonCell" key="NSCell" id="8730458">
+										<int key="NSCellFlags">-2076049856</int>
+										<int key="NSCellFlags2">67110912</int>
+										<reference key="NSSupport" ref="782475540"/>
+										<reference key="NSControlView" ref="1026904284"/>
+										<int key="NSButtonFlags">-2046279425</int>
+										<int key="NSButtonFlags2">70</int>
+										<string key="NSAlternateContents"/>
+										<string key="NSKeyEquivalent"/>
+										<int key="NSPeriodicDelay">400</int>
+										<int key="NSPeriodicInterval">75</int>
+										<object class="NSMenuItem" key="NSMenuItem" id="678275902">
+											<reference key="NSMenu" ref="197671942"/>
+											<bool key="NSIsHidden">YES</bool>
+											<string key="NSTitle"/>
+											<string key="NSKeyEquiv"/>
+											<int key="NSKeyEquivModMask">1048576</int>
+											<int key="NSMnemonicLoc">2147483647</int>
+											<int key="NSState">1</int>
+											<object class="NSCustomResource" key="NSImage" id="910929705">
+												<string key="NSClassName">NSImage</string>
+												<string key="NSResourceName">TB_Install</string>
+											</object>
+											<reference key="NSOnImage" ref="35465992"/>
+											<reference key="NSMixedImage" ref="566991132"/>
+											<string key="NSAction">_popUpItemAction:</string>
+											<reference key="NSTarget" ref="8730458"/>
+										</object>
+										<bool key="NSMenuItemRespectAlignment">YES</bool>
+										<object class="NSMenu" key="NSMenu" id="197671942">
+											<string key="NSTitle">OtherViews</string>
+											<object class="NSMutableArray" key="NSMenuItems">
+												<bool key="EncodedWithXMLCoder">YES</bool>
+												<reference ref="678275902"/>
+												<object class="NSMenuItem" id="235232064">
+													<reference key="NSMenu" ref="197671942"/>
+													<string key="NSTitle">Install</string>
+													<string key="NSKeyEquiv"/>
+													<int key="NSKeyEquivModMask">1048576</int>
+													<int key="NSMnemonicLoc">2147483647</int>
+													<reference key="NSOnImage" ref="35465992"/>
+													<reference key="NSMixedImage" ref="566991132"/>
+													<string key="NSAction">_popUpItemAction:</string>
+													<reference key="NSTarget" ref="8730458"/>
+												</object>
+												<object class="NSMenuItem" id="385368191">
+													<reference key="NSMenu" ref="197671942"/>
+													<string key="NSTitle">Install with Variants</string>
+													<string key="NSKeyEquiv"/>
+													<int key="NSKeyEquivModMask">1048576</int>
+													<int key="NSMnemonicLoc">2147483647</int>
+													<reference key="NSOnImage" ref="35465992"/>
+													<reference key="NSMixedImage" ref="566991132"/>
+													<string key="NSAction">_popUpItemAction:</string>
+													<reference key="NSTarget" ref="8730458"/>
+												</object>
+											</object>
+											<reference key="NSMenuFont" ref="782475540"/>
+										</object>
+										<bool key="NSPullDown">YES</bool>
+										<int key="NSPreferredEdge">1</int>
+										<bool key="NSUsesItemFromMenu">YES</bool>
+										<bool key="NSAltersState">YES</bool>
+									</object>
+								</object>
+								<reference key="NSToolbarItemImage" ref="910929705"/>
 								<nil key="NSToolbarItemTarget"/>
 								<nil key="NSToolbarItemAction"/>
-								<string key="NSToolbarItemMinSize">{0, 0}</string>
-								<string key="NSToolbarItemMaxSize">{0, 0}</string>
+								<string key="NSToolbarItemMinSize">{32, 32}</string>
+								<string key="NSToolbarItemMaxSize">{64, 64}</string>
 								<bool key="NSToolbarItemEnabled">YES</bool>
 								<bool key="NSToolbarItemAutovalidates">YES</bool>
@@ -1112,18 +1335,19 @@
 					<object class="NSArray" key="NSToolbarIBAllowedItems">
 						<bool key="EncodedWithXMLCoder">YES</bool>
-						<reference ref="650498606"/>
+						<reference ref="725383560"/>
 						<reference ref="244855577"/>
 						<reference ref="815358429"/>
+						<reference ref="284139052"/>
 						<reference ref="341138360"/>
 						<reference ref="433945624"/>
 						<reference ref="1018787369"/>
-						<reference ref="869476631"/>
 						<reference ref="49194268"/>
 						<reference ref="618891101"/>
 						<reference ref="651362317"/>
+						<reference ref="869476631"/>
 					</object>
 					<object class="NSMutableArray" key="NSToolbarIBDefaultItems">
 						<bool key="EncodedWithXMLCoder">YES</bool>
-						<reference ref="650498606"/>
+						<reference ref="725383560"/>
 						<reference ref="244855577"/>
 						<reference ref="815358429"/>
@@ -1132,4 +1356,6 @@
 						<reference ref="1018787369"/>
 						<reference ref="651362317"/>
+						<reference ref="341138360"/>
+						<reference ref="284139052"/>
 						<reference ref="49194268"/>
 						<reference ref="618891101"/>
@@ -1139,5 +1365,5 @@
 					</object>
 				</object>
-				<string key="NSWindowContentMaxSize">{3.40282e+38, 3.40282e+38}</string>
+				<string key="NSWindowContentMaxSize">{1.79769e+308, 1.79769e+308}</string>
 				<object class="NSView" key="NSWindowView" id="439893737">
 					<reference key="NSNextResponder"/>
@@ -1170,15 +1396,15 @@
 															<object class="NSMutableArray" key="NSSubviews">
 																<bool key="EncodedWithXMLCoder">YES</bool>
-																<object class="NSRuleEditorViewSliceRow" id="277972727">
+																<object class="NSRuleEditorViewSliceRow" id="380709887">
 																	<reference key="NSNextResponder" ref="887125716"/>
 																	<int key="NSvFlags">290</int>
 																	<object class="NSMutableArray" key="NSSubviews">
 																		<bool key="EncodedWithXMLCoder">YES</bool>
-																		<object class="NSButton" id="339632689">
-																			<reference key="NSNextResponder" ref="277972727"/>
+																		<object class="NSButton" id="667464776">
+																			<reference key="NSNextResponder" ref="380709887"/>
 																			<int key="NSvFlags">257</int>
 																			<string key="NSFrame">{{741, 4}, {18, 18}}</string>
-																			<reference key="NSSuperview" ref="277972727"/>
-																			<reference key="NSNextKeyView" ref="602619092"/>
+																			<reference key="NSSuperview" ref="380709887"/>
+																			<reference key="NSNextKeyView" ref="937158238"/>
 																			<int key="NSTag">-1</int>
 																			<bool key="NSEnabled">YES</bool>
@@ -1189,15 +1415,31 @@
 																				<object class="NSFont" key="NSSupport" id="29">
 																					<string key="NSName">LucidaGrande-Bold</string>
-																					<double key="NSSize">1.200000e+01</double>
+																					<double key="NSSize">12</double>
 																					<int key="NSfFlags">16</int>
 																				</object>
+																				<object class="NSMutableArray" key="NSAccessibilityOverriddenAttributes">
+																					<bool key="EncodedWithXMLCoder">YES</bool>
+																					<object class="NSMutableDictionary">
+																						<bool key="EncodedWithXMLCoder">YES</bool>
+																						<object class="NSArray" key="dict.sortedKeys">
+																							<bool key="EncodedWithXMLCoder">YES</bool>
+																							<string>AXDescription</string>
+																							<string>NSAccessibilityEncodedAttributesValueType</string>
+																						</object>
+																						<object class="NSMutableArray" key="dict.values">
+																							<bool key="EncodedWithXMLCoder">YES</bool>
+																							<string>add</string>
+																							<integer value="1"/>
+																						</object>
+																					</object>
+																				</object>
+																				<reference key="NSControlView" ref="667464776"/>
 																				<string key="NSAction">_addOption:</string>
-																				<reference key="NSTarget" ref="277972727"/>
-																				<reference key="NSControlView" ref="339632689"/>
+																				<reference key="NSTarget" ref="380709887"/>
 																				<int key="NSButtonFlags">-2038284033</int>
 																				<int key="NSButtonFlags2">36</int>
 																				<object class="NSFont" key="NSAlternateImage" id="28">
 																					<string key="NSName">LucidaGrande</string>
-																					<double key="NSSize">1.200000e+01</double>
+																					<double key="NSSize">12</double>
 																					<int key="NSfFlags">4883</int>
 																				</object>
@@ -1207,10 +1449,10 @@
 																			</object>
 																		</object>
-																		<object class="NSButton" id="645964487">
-																			<reference key="NSNextResponder" ref="277972727"/>
+																		<object class="NSButton" id="264617949">
+																			<reference key="NSNextResponder" ref="380709887"/>
 																			<int key="NSvFlags">257</int>
 																			<string key="NSFrame">{{721, 4}, {18, 18}}</string>
-																			<reference key="NSSuperview" ref="277972727"/>
-																			<reference key="NSNextKeyView" ref="339632689"/>
+																			<reference key="NSSuperview" ref="380709887"/>
+																			<reference key="NSNextKeyView" ref="667464776"/>
 																			<int key="NSTag">-1</int>
 																			<bool key="NSEnabled">YES</bool>
@@ -1220,7 +1462,23 @@
 																				<string key="NSContents">-</string>
 																				<reference key="NSSupport" ref="29"/>
+																				<object class="NSMutableArray" key="NSAccessibilityOverriddenAttributes">
+																					<bool key="EncodedWithXMLCoder">YES</bool>
+																					<object class="NSMutableDictionary">
+																						<bool key="EncodedWithXMLCoder">YES</bool>
+																						<object class="NSArray" key="dict.sortedKeys">
+																							<bool key="EncodedWithXMLCoder">YES</bool>
+																							<string>AXDescription</string>
+																							<string>NSAccessibilityEncodedAttributesValueType</string>
+																						</object>
+																						<object class="NSMutableArray" key="dict.values">
+																							<bool key="EncodedWithXMLCoder">YES</bool>
+																							<string>remove</string>
+																							<integer value="1"/>
+																						</object>
+																					</object>
+																				</object>
+																				<reference key="NSControlView" ref="264617949"/>
 																				<string key="NSAction">_deleteOption:</string>
-																				<reference key="NSTarget" ref="277972727"/>
-																				<reference key="NSControlView" ref="645964487"/>
+																				<reference key="NSTarget" ref="380709887"/>
 																				<int key="NSButtonFlags">-2038284033</int>
 																				<int key="NSButtonFlags2">36</int>
@@ -1232,8 +1490,8 @@
 																		</object>
 																		<object class="NSPopUpButton" id="111744215">
-																			<reference key="NSNextResponder" ref="277972727"/>
+																			<reference key="NSNextResponder" ref="380709887"/>
 																			<int key="NSvFlags">256</int>
 																			<string key="NSFrame">{{7, 3}, {58, 19}}</string>
-																			<reference key="NSSuperview" ref="277972727"/>
+																			<reference key="NSSuperview" ref="380709887"/>
 																			<reference key="NSNextKeyView" ref="471209054"/>
 																			<int key="NSTag">-1</int>
@@ -1244,8 +1502,8 @@
 																				<object class="NSFont" key="NSSupport" id="26">
 																					<string key="NSName">LucidaGrande</string>
-																					<double key="NSSize">1.100000e+01</double>
+																					<double key="NSSize">11</double>
 																					<int key="NSfFlags">3100</int>
 																				</object>
-																				<reference key="NSRepresentedObject" ref="9"/>
+																				<integer value="1" key="NSRepresentedObject"/>
 																				<reference key="NSControlView" ref="111744215"/>
 																				<int key="NSButtonFlags">-2038284033</int>
@@ -1253,5 +1511,5 @@
 																				<object class="NSFont" key="NSAlternateImage" id="753190765">
 																					<string key="NSName">LucidaGrande</string>
-																					<double key="NSSize">1.100000e+01</double>
+																					<double key="NSSize">11</double>
 																					<int key="NSfFlags">16</int>
 																				</object>
